---
schema_version: "1"
id: e3c54ca7fdf847f2bf9c15e3af89157af171b7a1dc767ea61706d43cf7c01304
title: View Recently Viewed Records
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-see-recently-viewed.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-see-recently-viewed.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: d8b2a0502117d3f15b96b9fd0bf9592792a77ca330ba8134982853ca13135adf
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# View Recently Viewed Records

Use the Recently Viewed Items resource to get a list of recently viewed records.

## Example usage for getting the last two most recently viewed records

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/recent/?limit=2 -H "Authorization: Bearer token"
```

## Example request body

none required

## Example response body

```nolang
{ 
    "attributes" : 
    { 
        "type" : "Account", 
        "url" : "/services/data/v68.0/sobjects/Account/a06U000000CelH0IAJ" 
    }, 
    "Id" : "a06U000000CelH0IAJ", 
    "Name" : "Acme" 
}, 
{ 
    "attributes" : 
    { 
        "type" : "Opportunity", 
        "url" : "/services/data/v68.0/sobjects/Opportunity/a06U000000CelGvIAJ" 
    }, 
    "Id" : "a06U000000CelGvIAJ", 
    "Name" : "Acme - 600 Widgets" 
}
```

